{% extends 'base.html.twig' %}

{% block body %}
    {% form_theme form 'form/user_theme.html.twig' %}
    <main class="container-fluid main-container">
        <div class="row justify-content-center align-items-center h-100">
            <div class="col-12 col-sm-8 col-md-7 col-lg-5 col-xl-4">
                <div class="rounded bg-white p-4 border-0 card-form">
                    <div class="mb-4 d-flex justify-content-center">
                        <a href="{{ path('home') }}">
                            <img src="{{ asset('images/brand-true-navy-blue.png') }}" alt="Snow Tricks Logo"
                                 class="img-fluid">
                        </a>
                    </div>
                    {{ form_start(form) }}
                    <h1 class="h3 mb-4 text-center">Changer de mot de passe</h1>
                    <div class="mb-4">
                        {{ form_errors(form) }}
                        {{ form_errors(form.email) }}
                    </div>
                    <div class="form-group">
                        <label for="" class="form-label">Adresse email</label>
                        {{ form_widget(form.email) }}
                    </div>
                    <button type="submit" class="btn btn-block btn-primary">Valider</button>
                    <a href="{{ path('app_login') }}">
                        <p class="text-center mb-0 mt-2">
                            Retour à l'espace de connexion
                        </p>
                    </a>
                    {{ form_end(form) }}
                </div>
            </div>
        </div>
    </main>
{% endblock %}

{% block title %}
    {{ parent() }} | Mot de passe oublié ?
{% endblock %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('signup') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('signup') }}
{% endblock %}
